<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AvatarUpdatedAction extends \Google\Protobuf\Internal\Message
{
    


    protected $eventType = null;
    


    private $recentAvatarStickers;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEventType()
    {
        return isset($this->eventType) ? $this->eventType : 0;
    }

    public function hasEventType()
    {
        return isset($this->eventType);
    }

    public function clearEventType()
    {
        unset($this->eventType);
    }

    




    public function setEventType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\SyncActionValue\AvatarUpdatedAction\AvatarEventType::class);
        $this->eventType = $var;

        return $this;
    }

    



    public function getRecentAvatarStickers()
    {
        return $this->recentAvatarStickers;
    }

    




    public function setRecentAvatarStickers($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\SyncActionValue\StickerAction::class);
        $this->recentAvatarStickers = $arr;

        return $this;
    }

}

